SDL_BroadcastCondition(3)

NAME
SDL_BroadcastCondition - Restart all threads that are waiting on the condition variable.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_BroadcastCondition(SDL_Condition *cond);

FUNCTION PARAMETERS

cond
    the condition variable to signal.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SignalCondition(3), •(3), SDL_WaitCondition(3), •(3), SDL_WaitConditionTimeout(3)